Subject: RE: bug#39185: [PATCH] Don't include section "Recent messages" in bug reports

From: Drew Adams <[email-masked]>
Date: Sat, 18 Jan 2020 18:21:05 -0800 (PST)

> Does anyone object to installing the below patch on master?

I do.  What if a user wants to include that info in a
particular bug report, e.g., where it's relevant?
Why not make it easy for a user to include it, even
if by default it's excluded?

As I made clear in the thread you cite:

 It's not just about "Recent messages".  It's about
 anything we automatically insert into the report,
 which a user might not pay attention to, or even if
 she does, which she might not want to send.

 Let users decide.  A simple option takes care of
 this.  And separating the parts of the code that
 insert each different part of the automatic info
 means that we can also give users commands to
 insert any of them as one-offs, to override their
 chosen default preferred behavior.

 I see no reason why we wouldn't want to let users
 decide, in this regard - whether it's about privacy
 or any other reason a user might have for her
 preference.

 What's the difficulty or downside to doing this?

I agree with not including recent messages by
default.  My suggestion is to make it easy for a
user to:

1. Include/exclude any of the various parts that
   we currently exclude, by setting their own
   preferred default behavior.

2. Make it easy for a user to include/exclude any
   such parts for any given bug report, i.e., to
   include/exclude something different from what
   they choose as their default preference.

Anything you do in a hard-coded way makes it more
difficult for users.  It's good for Emacs to remove
recent messages _by default_.  It's better to go
further and make it easy for users to get the
behavior they want - generally and for any given
message.

And it's simple to do.  And it makes the Emacs code
more modular - separate pieces handled separately.

I don't see a downside, and AFAICT none was shown.

I don't claim that the code I use for this, or
what I suggest as the approach, is the only good
one.  I do think we can easily, and should, do
better than just remove recent messages.